# Uses of Interface
org.eclipse.emf.cdo.server.IStore

Packages that use IStore
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.embedded
Server concepts for dealing with Net4j-based repositories and fail-over infrastructure.
org.eclipse.emf.cdo.server.lissome
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.mem
Server concepts for dealing with in-memory stores.
org.eclipse.emf.cdo.server.mongodb
Server concepts for dealing with MongoDB stores and accessors.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.workspace
Concepts to checkout, open and further operate CDO `workspaces`.

## Uses of IStore in org.eclipse.emf.cdo.server

Subinterfaces of IStore in org.eclipse.emf.cdo.server
Modifier and Type
Interface
Description
`interface`
`IMEMStore`
Deprecated.
Use `IMEMStore`
Methods in org.eclipse.emf.cdo.server that return IStore
Modifier and Type
Method
Description
`IStore`
IStoreFactory.`createStore(String repositoryName, Map<String,String> repositoryProperties, Element storeConfig)`
`IStore`
IRepository.`getStore()`
`IStore`
IStoreAccessor.`getStore()`
Returns the store this accessor is associated with.
Methods in org.eclipse.emf.cdo.server with parameters of type IStore
Modifier and Type
Method
Description
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props)`
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer)`
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer, boolean master)`
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer, boolean master, boolean allowBackupCommits)`
`static ISynchronizableRepository`
CDOServerUtil.`createOfflineClone(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer)`
`static IRepository`
CDOServerUtil.`createRepository(String name, IStore store, Map<String,String> props)`

## Uses of IStore in org.eclipse.emf.cdo.server.db

Subinterfaces of IStore in org.eclipse.emf.cdo.server.db
Modifier and Type
Interface
Description
`interface`
`IDBStore`
The main entry point to the API of CDO's proprietary object/relational mapper.

## Uses of IStore in org.eclipse.emf.cdo.server.embedded

Methods in org.eclipse.emf.cdo.server.embedded that return IStore
Modifier and Type
Method
Description
`abstract IStore`
CDOEmbeddedRepositoryConfig.`createStore(org.eclipse.net4j.util.container.IManagedContainer container)`

## Uses of IStore in org.eclipse.emf.cdo.server.lissome

Subinterfaces of IStore in org.eclipse.emf.cdo.server.lissome
Modifier and Type
Interface
Description
`interface`
`ILissomeStore`
The main entry point to the API of CDO's proprietary Lissome store.

## Uses of IStore in org.eclipse.emf.cdo.server.mem

Subinterfaces of IStore in org.eclipse.emf.cdo.server.mem
Modifier and Type
Interface
Description
`interface`
`IMEMStore`
A simple in-memory `store`.

## Uses of IStore in org.eclipse.emf.cdo.server.mongodb

Subinterfaces of IStore in org.eclipse.emf.cdo.server.mongodb
Modifier and Type
Interface
Description
`interface`
`IMongoDBStore`
The main entry point to the API of CDO's MongoDB back-end integration.

## Uses of IStore in org.eclipse.emf.cdo.spi.server

Subinterfaces of IStore in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalStore`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.server that implement IStore
Modifier and Type
Class
Description
`class`
`LongIDStore`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`Store`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.server that return IStore
Modifier and Type
Method
Description
`protected IStore`
RepositoryConfigurator.`createStore(String repositoryName, Map<String,String> repositoryProperties, Element storeConfig)`
`IStore`
StoreAccessorPool.`getStore()`
Constructors in org.eclipse.emf.cdo.spi.server with parameters of type IStore
Modifier
Constructor
Description
``
`StoreAccessorPool(IStore store, Object context)`

## Uses of IStore in org.eclipse.emf.cdo.workspace

Methods in org.eclipse.emf.cdo.workspace that return IStore
Modifier and Type
Method
Description
`IStore`
CDOWorkspaceConfiguration.`getStore()`
Methods in org.eclipse.emf.cdo.workspace with parameters of type IStore
Modifier and Type
Method
Description
`static CDOWorkspace`
CDOWorkspaceUtil.`checkout(IStore local, CDOWorkspaceBase base, CDOSessionConfigurationFactory remote)`
Deprecated.
Use `CDOWorkspaceUtil.createWorkspaceConfiguration()` and `CDOWorkspaceConfiguration.checkout()`
`static CDOWorkspace`
CDOWorkspaceUtil.`checkout(IStore local, CDOWorkspaceBase base, CDOSessionConfigurationFactory remote, long timeStamp)`
Deprecated.
Use `CDOWorkspaceUtil.createWorkspaceConfiguration()` and `CDOWorkspaceConfiguration.checkout()`
`static CDOWorkspace`
CDOWorkspaceUtil.`checkout(IStore local, CDOWorkspaceBase base, CDOSessionConfigurationFactory remote, String branchPath)`
Deprecated.
Use `CDOWorkspaceUtil.createWorkspaceConfiguration()` and `CDOWorkspaceConfiguration.checkout()`
`static CDOWorkspace`
CDOWorkspaceUtil.`checkout(IStore local, CDOWorkspaceBase base, CDOSessionConfigurationFactory remote, String branchPath, long timeStamp)`
Deprecated.
Use `CDOWorkspaceUtil.createWorkspaceConfiguration()` and `CDOWorkspaceConfiguration.checkout()`
`static CDOWorkspace`
CDOWorkspaceUtil.`open(IStore local, CDOWorkspaceBase base, CDOSessionConfigurationFactory remote)`
Deprecated.
Use `CDOWorkspaceUtil.createWorkspaceConfiguration()` and `CDOWorkspaceConfiguration.open()`
`void`
CDOWorkspaceConfiguration.`setStore(IStore store)`